Index: tests/regression/Analysis/1/pre/test.conf
===================================================================
--- tests/regression/Analysis/1/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
+++ tests/regression/Analysis/1/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
@@ -0,0 +1,165 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	62	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	31	8	1.0	3	3	15.99900000000	Oxygen	O
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type2_1	6.550000000	6.550000000	6.046000000	0 # molecule nr 0
+Ion_Type1_1	5.980000000	5.780000000	6.065000000	0 # molecule nr 1
+Ion_Type1_2	7.103000000	6.467000000	6.824000000	0 # molecule nr 2
+Ion_Type2_2	9.650000000	6.550000000	6.046000000	0 # molecule nr 3
+Ion_Type1_3	8.814000000	6.529000000	6.514000000	0 # molecule nr 4
+Ion_Type1_4	10.283000000	6.163000000	6.653000000	0 # molecule nr 5
+Ion_Type2_3	12.750000000	6.550000000	6.046000000	0 # molecule nr 6
+Ion_Type1_5	12.181000000	6.385000000	5.292000000	0 # molecule nr 7
+Ion_Type1_6	13.035000000	7.460000000	5.946000000	0 # molecule nr 8
+Ion_Type2_4	6.550000000	9.650000000	6.046000000	0 # molecule nr 9
+Ion_Type1_7	6.571000000	10.422000000	5.479000000	0 # molecule nr 10
+Ion_Type1_8	6.193000000	8.950000000	5.497000000	0 # molecule nr 11
+Ion_Type2_5	9.650000000	9.650000000	6.046000000	0 # molecule nr 12
+Ion_Type1_9	9.430000000	9.454000000	6.958000000	0 # molecule nr 13
+Ion_Type1_10	10.521000000	9.272000000	5.916000000	0 # molecule nr 14
+Ion_Type2_6	12.750000000	9.650000000	6.046000000	0 # molecule nr 15
+Ion_Type1_11	12.266000000	10.237000000	5.463000000	0 # molecule nr 16
+Ion_Type1_12	12.900000000	8.857000000	5.529000000	0 # molecule nr 17
+Ion_Type2_7	6.550000000	12.750000000	6.046000000	0 # molecule nr 18
+Ion_Type1_13	5.834000000	12.713000000	6.682000000	0 # molecule nr 19
+Ion_Type1_14	7.308000000	13.058000000	6.546000000	0 # molecule nr 20
+Ion_Type2_8	9.650000000	12.750000000	6.046000000	0 # molecule nr 21
+Ion_Type1_15	9.141000000	12.027000000	5.676000000	0 # molecule nr 22
+Ion_Type1_16	9.228000000	13.544000000	5.715000000	0 # molecule nr 23
+Ion_Type2_9	12.750000000	12.750000000	6.046000000	0 # molecule nr 24
+Ion_Type1_17	12.928000000	13.649000000	5.764000000	0 # molecule nr 25
+Ion_Type1_18	12.122000000	12.410000000	5.407000000	0 # molecule nr 26
+Ion_Type2_10	6.550000000	6.550000000	9.146000000	0 # molecule nr 27
+Ion_Type1_19	6.149000000	5.713000000	8.906000000	0 # molecule nr 28
+Ion_Type1_20	5.938000000	6.948000000	9.766000000	0 # molecule nr 29
+Ion_Type2_11	9.650000000	6.550000000	9.146000000	0 # molecule nr 30
+Ion_Type1_21	9.612000000	5.833000000	9.781000000	0 # molecule nr 31
+Ion_Type1_22	9.776000000	7.340000000	9.673000000	0 # molecule nr 32
+Ion_Type2_12	12.750000000	6.550000000	9.146000000	0 # molecule nr 33
+Ion_Type1_23	12.734000000	7.473000000	9.403000000	0 # molecule nr 34
+Ion_Type1_24	12.410000000	6.076000000	9.907000000	0 # molecule nr 35
+Ion_Type2_13	6.550000000	9.650000000	9.146000000	0 # molecule nr 36
+Ion_Type1_25	6.335000000	10.319000000	9.798000000	0 # molecule nr 37
+Ion_Type1_26	6.060000000	8.873000000	9.419000000	0 # molecule nr 38
+Ion_Type2_14	6.550000000	12.750000000	9.146000000	0 # molecule nr 39
+Ion_Type1_27	7.136000000	12.026000000	9.369000000	0 # molecule nr 40
+Ion_Type1_28	5.738000000	12.330000000	8.859000000	0 # molecule nr 41
+Ion_Type2_15	12.750000000	12.750000000	9.146000000	0 # molecule nr 42
+Ion_Type1_29	12.976000000	12.419000000	10.017000000	0 # molecule nr 43
+Ion_Type1_30	13.592000000	12.883000000	8.707000000	0 # molecule nr 44
+Ion_Type2_16	6.550000000	6.550000000	12.246000000	0 # molecule nr 45
+Ion_Type1_31	6.754000000	7.229000000	11.601000000	0 # molecule nr 46
+Ion_Type1_32	5.898000000	6.947000000	12.825000000	0 # molecule nr 47
+Ion_Type2_17	9.650000000	6.550000000	12.246000000	0 # molecule nr 48
+Ion_Type1_33	10.034000000	5.710000000	12.503000000	0 # molecule nr 49
+Ion_Type1_34	10.067000000	7.197000000	12.817000000	0 # molecule nr 50
+Ion_Type2_18	12.750000000	6.550000000	12.246000000	0 # molecule nr 51
+Ion_Type1_35	13.278000000	7.331000000	12.418000000	0 # molecule nr 52
+Ion_Type1_36	12.248000000	6.410000000	13.050000000	0 # molecule nr 53
+Ion_Type2_19	6.550000000	9.650000000	12.246000000	0 # molecule nr 54
+Ion_Type1_37	5.991000000	9.021000000	12.705000000	0 # molecule nr 55
+Ion_Type1_38	7.382000000	9.632000000	12.721000000	0 # molecule nr 56
+Ion_Type2_20	6.550000000	12.750000000	12.246000000	0 # molecule nr 57
+Ion_Type1_39	7.129000000	12.071000000	12.596000000	0 # molecule nr 58
+Ion_Type1_40	6.945000000	13.005000000	11.411000000	0 # molecule nr 59
+Ion_Type2_21	9.650000000	12.750000000	12.246000000	0 # molecule nr 60
+Ion_Type1_41	9.105000000	12.539000000	13.005000000	0 # molecule nr 61
+Ion_Type1_42	10.474000000	13.071000000	12.615000000	0 # molecule nr 62
+Ion_Type2_22	12.750000000	12.750000000	12.246000000	0 # molecule nr 63
+Ion_Type1_43	12.127000000	12.133000000	12.633000000	0 # molecule nr 64
+Ion_Type1_44	13.614000000	12.395000000	12.461000000	0 # molecule nr 65
+Ion_Type2_23	6.550000000	6.550000000	15.346000000	0 # molecule nr 66
+Ion_Type1_45	5.730000000	6.420000000	14.868000000	0 # molecule nr 67
+Ion_Type1_46	7.240000000	6.388000000	14.701000000	0 # molecule nr 68
+Ion_Type2_24	9.650000000	6.550000000	15.346000000	0 # molecule nr 69
+Ion_Type1_47	9.006000000	6.245000000	15.987000000	0 # molecule nr 70
+Ion_Type1_48	10.406000000	6.824000000	15.867000000	0 # molecule nr 71
+Ion_Type2_25	12.750000000	6.550000000	15.346000000	0 # molecule nr 72
+Ion_Type1_49	13.193000000	5.783000000	15.712000000	0 # molecule nr 73
+Ion_Type1_50	13.441000000	7.205000000	15.238000000	0 # molecule nr 74
+Ion_Type2_26	6.550000000	9.650000000	15.346000000	0 # molecule nr 75
+Ion_Type1_51	6.265000000	10.284000000	14.687000000	0 # molecule nr 76
+Ion_Type1_52	7.444000000	9.416000000	15.093000000	0 # molecule nr 77
+Ion_Type2_27	9.650000000	9.650000000	15.346000000	0 # molecule nr 78
+Ion_Type1_53	10.379000000	9.444000000	15.933000000	0 # molecule nr 79
+Ion_Type1_54	8.933000000	9.912000000	15.926000000	0 # molecule nr 80
+Ion_Type2_28	12.750000000	9.650000000	15.346000000	0 # molecule nr 81
+Ion_Type1_55	13.611000000	9.476000000	15.728000000	0 # molecule nr 82
+Ion_Type1_56	12.123000000	9.305000000	15.984000000	0 # molecule nr 83
+Ion_Type2_29	6.550000000	12.750000000	15.346000000	0 # molecule nr 84
+Ion_Type1_57	6.187000000	11.882000000	15.165000000	0 # molecule nr 85
+Ion_Type1_58	7.500000000	12.638000000	15.286000000	0 # molecule nr 86
+Ion_Type2_30	9.650000000	12.750000000	15.346000000	0 # molecule nr 87
+Ion_Type1_59	9.750000000	13.494000000	14.751000000	0 # molecule nr 88
+Ion_Type1_60	9.283000000	12.049000000	14.805000000	0 # molecule nr 89
+Ion_Type2_31	12.750000000	12.750000000	15.346000000	0 # molecule nr 90
+Ion_Type1_61	13.468000000	13.235000000	15.756000000	0 # molecule nr 91
+Ion_Type1_62	12.276000000	12.347000000	16.075000000	0 # molecule nr 92
Index: tests/regression/Analysis/2/pre/test.conf
===================================================================
--- tests/regression/Analysis/2/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
+++ tests/regression/Analysis/2/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
@@ -0,0 +1,165 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	62	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	31	8	1.0	3	3	15.99900000000	Oxygen	O
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type2_1	6.550000000	6.550000000	6.046000000	0 # molecule nr 0
+Ion_Type1_1	5.980000000	5.780000000	6.065000000	0 # molecule nr 1
+Ion_Type1_2	7.103000000	6.467000000	6.824000000	0 # molecule nr 2
+Ion_Type2_2	9.650000000	6.550000000	6.046000000	0 # molecule nr 3
+Ion_Type1_3	8.814000000	6.529000000	6.514000000	0 # molecule nr 4
+Ion_Type1_4	10.283000000	6.163000000	6.653000000	0 # molecule nr 5
+Ion_Type2_3	12.750000000	6.550000000	6.046000000	0 # molecule nr 6
+Ion_Type1_5	12.181000000	6.385000000	5.292000000	0 # molecule nr 7
+Ion_Type1_6	13.035000000	7.460000000	5.946000000	0 # molecule nr 8
+Ion_Type2_4	6.550000000	9.650000000	6.046000000	0 # molecule nr 9
+Ion_Type1_7	6.571000000	10.422000000	5.479000000	0 # molecule nr 10
+Ion_Type1_8	6.193000000	8.950000000	5.497000000	0 # molecule nr 11
+Ion_Type2_5	9.650000000	9.650000000	6.046000000	0 # molecule nr 12
+Ion_Type1_9	9.430000000	9.454000000	6.958000000	0 # molecule nr 13
+Ion_Type1_10	10.521000000	9.272000000	5.916000000	0 # molecule nr 14
+Ion_Type2_6	12.750000000	9.650000000	6.046000000	0 # molecule nr 15
+Ion_Type1_11	12.266000000	10.237000000	5.463000000	0 # molecule nr 16
+Ion_Type1_12	12.900000000	8.857000000	5.529000000	0 # molecule nr 17
+Ion_Type2_7	6.550000000	12.750000000	6.046000000	0 # molecule nr 18
+Ion_Type1_13	5.834000000	12.713000000	6.682000000	0 # molecule nr 19
+Ion_Type1_14	7.308000000	13.058000000	6.546000000	0 # molecule nr 20
+Ion_Type2_8	9.650000000	12.750000000	6.046000000	0 # molecule nr 21
+Ion_Type1_15	9.141000000	12.027000000	5.676000000	0 # molecule nr 22
+Ion_Type1_16	9.228000000	13.544000000	5.715000000	0 # molecule nr 23
+Ion_Type2_9	12.750000000	12.750000000	6.046000000	0 # molecule nr 24
+Ion_Type1_17	12.928000000	13.649000000	5.764000000	0 # molecule nr 25
+Ion_Type1_18	12.122000000	12.410000000	5.407000000	0 # molecule nr 26
+Ion_Type2_10	6.550000000	6.550000000	9.146000000	0 # molecule nr 27
+Ion_Type1_19	6.149000000	5.713000000	8.906000000	0 # molecule nr 28
+Ion_Type1_20	5.938000000	6.948000000	9.766000000	0 # molecule nr 29
+Ion_Type2_11	9.650000000	6.550000000	9.146000000	0 # molecule nr 30
+Ion_Type1_21	9.612000000	5.833000000	9.781000000	0 # molecule nr 31
+Ion_Type1_22	9.776000000	7.340000000	9.673000000	0 # molecule nr 32
+Ion_Type2_12	12.750000000	6.550000000	9.146000000	0 # molecule nr 33
+Ion_Type1_23	12.734000000	7.473000000	9.403000000	0 # molecule nr 34
+Ion_Type1_24	12.410000000	6.076000000	9.907000000	0 # molecule nr 35
+Ion_Type2_13	6.550000000	9.650000000	9.146000000	0 # molecule nr 36
+Ion_Type1_25	6.335000000	10.319000000	9.798000000	0 # molecule nr 37
+Ion_Type1_26	6.060000000	8.873000000	9.419000000	0 # molecule nr 38
+Ion_Type2_14	6.550000000	12.750000000	9.146000000	0 # molecule nr 39
+Ion_Type1_27	7.136000000	12.026000000	9.369000000	0 # molecule nr 40
+Ion_Type1_28	5.738000000	12.330000000	8.859000000	0 # molecule nr 41
+Ion_Type2_15	12.750000000	12.750000000	9.146000000	0 # molecule nr 42
+Ion_Type1_29	12.976000000	12.419000000	10.017000000	0 # molecule nr 43
+Ion_Type1_30	13.592000000	12.883000000	8.707000000	0 # molecule nr 44
+Ion_Type2_16	6.550000000	6.550000000	12.246000000	0 # molecule nr 45
+Ion_Type1_31	6.754000000	7.229000000	11.601000000	0 # molecule nr 46
+Ion_Type1_32	5.898000000	6.947000000	12.825000000	0 # molecule nr 47
+Ion_Type2_17	9.650000000	6.550000000	12.246000000	0 # molecule nr 48
+Ion_Type1_33	10.034000000	5.710000000	12.503000000	0 # molecule nr 49
+Ion_Type1_34	10.067000000	7.197000000	12.817000000	0 # molecule nr 50
+Ion_Type2_18	12.750000000	6.550000000	12.246000000	0 # molecule nr 51
+Ion_Type1_35	13.278000000	7.331000000	12.418000000	0 # molecule nr 52
+Ion_Type1_36	12.248000000	6.410000000	13.050000000	0 # molecule nr 53
+Ion_Type2_19	6.550000000	9.650000000	12.246000000	0 # molecule nr 54
+Ion_Type1_37	5.991000000	9.021000000	12.705000000	0 # molecule nr 55
+Ion_Type1_38	7.382000000	9.632000000	12.721000000	0 # molecule nr 56
+Ion_Type2_20	6.550000000	12.750000000	12.246000000	0 # molecule nr 57
+Ion_Type1_39	7.129000000	12.071000000	12.596000000	0 # molecule nr 58
+Ion_Type1_40	6.945000000	13.005000000	11.411000000	0 # molecule nr 59
+Ion_Type2_21	9.650000000	12.750000000	12.246000000	0 # molecule nr 60
+Ion_Type1_41	9.105000000	12.539000000	13.005000000	0 # molecule nr 61
+Ion_Type1_42	10.474000000	13.071000000	12.615000000	0 # molecule nr 62
+Ion_Type2_22	12.750000000	12.750000000	12.246000000	0 # molecule nr 63
+Ion_Type1_43	12.127000000	12.133000000	12.633000000	0 # molecule nr 64
+Ion_Type1_44	13.614000000	12.395000000	12.461000000	0 # molecule nr 65
+Ion_Type2_23	6.550000000	6.550000000	15.346000000	0 # molecule nr 66
+Ion_Type1_45	5.730000000	6.420000000	14.868000000	0 # molecule nr 67
+Ion_Type1_46	7.240000000	6.388000000	14.701000000	0 # molecule nr 68
+Ion_Type2_24	9.650000000	6.550000000	15.346000000	0 # molecule nr 69
+Ion_Type1_47	9.006000000	6.245000000	15.987000000	0 # molecule nr 70
+Ion_Type1_48	10.406000000	6.824000000	15.867000000	0 # molecule nr 71
+Ion_Type2_25	12.750000000	6.550000000	15.346000000	0 # molecule nr 72
+Ion_Type1_49	13.193000000	5.783000000	15.712000000	0 # molecule nr 73
+Ion_Type1_50	13.441000000	7.205000000	15.238000000	0 # molecule nr 74
+Ion_Type2_26	6.550000000	9.650000000	15.346000000	0 # molecule nr 75
+Ion_Type1_51	6.265000000	10.284000000	14.687000000	0 # molecule nr 76
+Ion_Type1_52	7.444000000	9.416000000	15.093000000	0 # molecule nr 77
+Ion_Type2_27	9.650000000	9.650000000	15.346000000	0 # molecule nr 78
+Ion_Type1_53	10.379000000	9.444000000	15.933000000	0 # molecule nr 79
+Ion_Type1_54	8.933000000	9.912000000	15.926000000	0 # molecule nr 80
+Ion_Type2_28	12.750000000	9.650000000	15.346000000	0 # molecule nr 81
+Ion_Type1_55	13.611000000	9.476000000	15.728000000	0 # molecule nr 82
+Ion_Type1_56	12.123000000	9.305000000	15.984000000	0 # molecule nr 83
+Ion_Type2_29	6.550000000	12.750000000	15.346000000	0 # molecule nr 84
+Ion_Type1_57	6.187000000	11.882000000	15.165000000	0 # molecule nr 85
+Ion_Type1_58	7.500000000	12.638000000	15.286000000	0 # molecule nr 86
+Ion_Type2_30	9.650000000	12.750000000	15.346000000	0 # molecule nr 87
+Ion_Type1_59	9.750000000	13.494000000	14.751000000	0 # molecule nr 88
+Ion_Type1_60	9.283000000	12.049000000	14.805000000	0 # molecule nr 89
+Ion_Type2_31	12.750000000	12.750000000	15.346000000	0 # molecule nr 90
+Ion_Type1_61	13.468000000	13.235000000	15.756000000	0 # molecule nr 91
+Ion_Type1_62	12.276000000	12.347000000	16.075000000	0 # molecule nr 92
Index: tests/regression/Analysis/3/pre/test.conf
===================================================================
--- tests/regression/Analysis/3/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
+++ tests/regression/Analysis/3/pre/test.conf	(revision 4ed18b5079e3f4ea8a189543a78e279bb579b049)
@@ -0,0 +1,165 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	62	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	31	8	1.0	3	3	15.99900000000	Oxygen	O
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type2_1	6.550000000	6.550000000	6.046000000	0 # molecule nr 0
+Ion_Type1_1	5.980000000	5.780000000	6.065000000	0 # molecule nr 1
+Ion_Type1_2	7.103000000	6.467000000	6.824000000	0 # molecule nr 2
+Ion_Type2_2	9.650000000	6.550000000	6.046000000	0 # molecule nr 3
+Ion_Type1_3	8.814000000	6.529000000	6.514000000	0 # molecule nr 4
+Ion_Type1_4	10.283000000	6.163000000	6.653000000	0 # molecule nr 5
+Ion_Type2_3	12.750000000	6.550000000	6.046000000	0 # molecule nr 6
+Ion_Type1_5	12.181000000	6.385000000	5.292000000	0 # molecule nr 7
+Ion_Type1_6	13.035000000	7.460000000	5.946000000	0 # molecule nr 8
+Ion_Type2_4	6.550000000	9.650000000	6.046000000	0 # molecule nr 9
+Ion_Type1_7	6.571000000	10.422000000	5.479000000	0 # molecule nr 10
+Ion_Type1_8	6.193000000	8.950000000	5.497000000	0 # molecule nr 11
+Ion_Type2_5	9.650000000	9.650000000	6.046000000	0 # molecule nr 12
+Ion_Type1_9	9.430000000	9.454000000	6.958000000	0 # molecule nr 13
+Ion_Type1_10	10.521000000	9.272000000	5.916000000	0 # molecule nr 14
+Ion_Type2_6	12.750000000	9.650000000	6.046000000	0 # molecule nr 15
+Ion_Type1_11	12.266000000	10.237000000	5.463000000	0 # molecule nr 16
+Ion_Type1_12	12.900000000	8.857000000	5.529000000	0 # molecule nr 17
+Ion_Type2_7	6.550000000	12.750000000	6.046000000	0 # molecule nr 18
+Ion_Type1_13	5.834000000	12.713000000	6.682000000	0 # molecule nr 19
+Ion_Type1_14	7.308000000	13.058000000	6.546000000	0 # molecule nr 20
+Ion_Type2_8	9.650000000	12.750000000	6.046000000	0 # molecule nr 21
+Ion_Type1_15	9.141000000	12.027000000	5.676000000	0 # molecule nr 22
+Ion_Type1_16	9.228000000	13.544000000	5.715000000	0 # molecule nr 23
+Ion_Type2_9	12.750000000	12.750000000	6.046000000	0 # molecule nr 24
+Ion_Type1_17	12.928000000	13.649000000	5.764000000	0 # molecule nr 25
+Ion_Type1_18	12.122000000	12.410000000	5.407000000	0 # molecule nr 26
+Ion_Type2_10	6.550000000	6.550000000	9.146000000	0 # molecule nr 27
+Ion_Type1_19	6.149000000	5.713000000	8.906000000	0 # molecule nr 28
+Ion_Type1_20	5.938000000	6.948000000	9.766000000	0 # molecule nr 29
+Ion_Type2_11	9.650000000	6.550000000	9.146000000	0 # molecule nr 30
+Ion_Type1_21	9.612000000	5.833000000	9.781000000	0 # molecule nr 31
+Ion_Type1_22	9.776000000	7.340000000	9.673000000	0 # molecule nr 32
+Ion_Type2_12	12.750000000	6.550000000	9.146000000	0 # molecule nr 33
+Ion_Type1_23	12.734000000	7.473000000	9.403000000	0 # molecule nr 34
+Ion_Type1_24	12.410000000	6.076000000	9.907000000	0 # molecule nr 35
+Ion_Type2_13	6.550000000	9.650000000	9.146000000	0 # molecule nr 36
+Ion_Type1_25	6.335000000	10.319000000	9.798000000	0 # molecule nr 37
+Ion_Type1_26	6.060000000	8.873000000	9.419000000	0 # molecule nr 38
+Ion_Type2_14	6.550000000	12.750000000	9.146000000	0 # molecule nr 39
+Ion_Type1_27	7.136000000	12.026000000	9.369000000	0 # molecule nr 40
+Ion_Type1_28	5.738000000	12.330000000	8.859000000	0 # molecule nr 41
+Ion_Type2_15	12.750000000	12.750000000	9.146000000	0 # molecule nr 42
+Ion_Type1_29	12.976000000	12.419000000	10.017000000	0 # molecule nr 43
+Ion_Type1_30	13.592000000	12.883000000	8.707000000	0 # molecule nr 44
+Ion_Type2_16	6.550000000	6.550000000	12.246000000	0 # molecule nr 45
+Ion_Type1_31	6.754000000	7.229000000	11.601000000	0 # molecule nr 46
+Ion_Type1_32	5.898000000	6.947000000	12.825000000	0 # molecule nr 47
+Ion_Type2_17	9.650000000	6.550000000	12.246000000	0 # molecule nr 48
+Ion_Type1_33	10.034000000	5.710000000	12.503000000	0 # molecule nr 49
+Ion_Type1_34	10.067000000	7.197000000	12.817000000	0 # molecule nr 50
+Ion_Type2_18	12.750000000	6.550000000	12.246000000	0 # molecule nr 51
+Ion_Type1_35	13.278000000	7.331000000	12.418000000	0 # molecule nr 52
+Ion_Type1_36	12.248000000	6.410000000	13.050000000	0 # molecule nr 53
+Ion_Type2_19	6.550000000	9.650000000	12.246000000	0 # molecule nr 54
+Ion_Type1_37	5.991000000	9.021000000	12.705000000	0 # molecule nr 55
+Ion_Type1_38	7.382000000	9.632000000	12.721000000	0 # molecule nr 56
+Ion_Type2_20	6.550000000	12.750000000	12.246000000	0 # molecule nr 57
+Ion_Type1_39	7.129000000	12.071000000	12.596000000	0 # molecule nr 58
+Ion_Type1_40	6.945000000	13.005000000	11.411000000	0 # molecule nr 59
+Ion_Type2_21	9.650000000	12.750000000	12.246000000	0 # molecule nr 60
+Ion_Type1_41	9.105000000	12.539000000	13.005000000	0 # molecule nr 61
+Ion_Type1_42	10.474000000	13.071000000	12.615000000	0 # molecule nr 62
+Ion_Type2_22	12.750000000	12.750000000	12.246000000	0 # molecule nr 63
+Ion_Type1_43	12.127000000	12.133000000	12.633000000	0 # molecule nr 64
+Ion_Type1_44	13.614000000	12.395000000	12.461000000	0 # molecule nr 65
+Ion_Type2_23	6.550000000	6.550000000	15.346000000	0 # molecule nr 66
+Ion_Type1_45	5.730000000	6.420000000	14.868000000	0 # molecule nr 67
+Ion_Type1_46	7.240000000	6.388000000	14.701000000	0 # molecule nr 68
+Ion_Type2_24	9.650000000	6.550000000	15.346000000	0 # molecule nr 69
+Ion_Type1_47	9.006000000	6.245000000	15.987000000	0 # molecule nr 70
+Ion_Type1_48	10.406000000	6.824000000	15.867000000	0 # molecule nr 71
+Ion_Type2_25	12.750000000	6.550000000	15.346000000	0 # molecule nr 72
+Ion_Type1_49	13.193000000	5.783000000	15.712000000	0 # molecule nr 73
+Ion_Type1_50	13.441000000	7.205000000	15.238000000	0 # molecule nr 74
+Ion_Type2_26	6.550000000	9.650000000	15.346000000	0 # molecule nr 75
+Ion_Type1_51	6.265000000	10.284000000	14.687000000	0 # molecule nr 76
+Ion_Type1_52	7.444000000	9.416000000	15.093000000	0 # molecule nr 77
+Ion_Type2_27	9.650000000	9.650000000	15.346000000	0 # molecule nr 78
+Ion_Type1_53	10.379000000	9.444000000	15.933000000	0 # molecule nr 79
+Ion_Type1_54	8.933000000	9.912000000	15.926000000	0 # molecule nr 80
+Ion_Type2_28	12.750000000	9.650000000	15.346000000	0 # molecule nr 81
+Ion_Type1_55	13.611000000	9.476000000	15.728000000	0 # molecule nr 82
+Ion_Type1_56	12.123000000	9.305000000	15.984000000	0 # molecule nr 83
+Ion_Type2_29	6.550000000	12.750000000	15.346000000	0 # molecule nr 84
+Ion_Type1_57	6.187000000	11.882000000	15.165000000	0 # molecule nr 85
+Ion_Type1_58	7.500000000	12.638000000	15.286000000	0 # molecule nr 86
+Ion_Type2_30	9.650000000	12.750000000	15.346000000	0 # molecule nr 87
+Ion_Type1_59	9.750000000	13.494000000	14.751000000	0 # molecule nr 88
+Ion_Type1_60	9.283000000	12.049000000	14.805000000	0 # molecule nr 89
+Ion_Type2_31	12.750000000	12.750000000	15.346000000	0 # molecule nr 90
+Ion_Type1_61	13.468000000	13.235000000	15.756000000	0 # molecule nr 91
+Ion_Type1_62	12.276000000	12.347000000	16.075000000	0 # molecule nr 92
